Date
Date: 2016-07-03

com.icl.saxon.exslt

## Class Date

- java.lang.Object
- - com.icl.saxon.exslt.Date

-     public final class Date
      extends java.lang.Object

  This class implements extension functions in the http://exslt.org/dates-and-times namespace.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `date()` The date:date function returns the current date.
    `static java.lang.String` | `date(java.lang.String dateTime)` The date:date function returns the date specified in the date/time string given as the argument.
    `static java.lang.String` | `dateTime()` The date:date-time function returns the current date and time as a date/time string.
    `static java.lang.String` | `dayAbbreviation()` Return the day of the week given in the current date as an English day abbreviation: one of 'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', or 'Sat'.
    `static java.lang.String` | `dayAbbreviation(java.lang.String dateTime)` Return the day of the week given in a date as an English day abbreviation: one of 'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', or 'Sat'.
    `static double` | `dayInMonth()` Return the day number of the current date within the month
    `static double` | `dayInMonth(java.lang.String dateTime)` Return the day number of a specified date within the month
    `static double` | `dayInWeek()` Return the day of the week in the current date as a number.
    `static double` | `dayInWeek(java.lang.String dateTime)` Return the day of the week given in a date as a number.
    `static double` | `dayInYear()` Return the day number of the current date within the year
    `static double` | `dayInYear(java.lang.String dateTime)` Return the day number of a specified date within the year
    `static java.lang.String` | `dayName()` Return the day of the week given in the current date as an English day name: one of 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday' or 'Friday'.
    `static java.lang.String` | `dayName(java.lang.String dateTime)` Return the day of the week given in a date as an English day name: one of 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday' or 'Friday'.
    `static double` | `dayOfWeekInMonth()` Return the day-of-the-week in a month of the current date as a number (e.g.
    `static double` | `dayOfWeekInMonth(java.lang.String dateTime)` Return the day-of-the-week in a month of a date as a number (e.g.
    `static double` | `hourInDay()` Return the current hour of the day
    `static double` | `hourInDay(java.lang.String dateTime)` Return the hour of the day in the specified date or date/time
    `static boolean` | `leapYear()` Returns true if the current year is a leap year
    `static boolean` | `leapYear(java.lang.String dateTime)` Return true if the year specified in the date/time string given as the argument is a leap year.
    `static double` | `minuteInHour()` Return the current minute of the hour
    `static double` | `minuteInHour(java.lang.String dateTime)` Return the minute of the hour in the specified date or date/time
    `static java.lang.String` | `monthAbbreviation()` Return the month abbreviation from the current date.
    `static java.lang.String` | `monthAbbreviation(java.lang.String date)` Return the month abbreviation from a date.
    `static double` | `monthInYear()` Return the month number from the current date.
    `static double` | `monthInYear(java.lang.String dateTime)` Return the month number from a date.
    `static java.lang.String` | `monthName()` Return the month name from the current date.
    `static java.lang.String` | `monthName(java.lang.String date)` Return the month name from a date.
    `static double` | `secondInMinute()` Return the current second of the minute
    `static double` | `secondInMinute(java.lang.String dateTime)` Return the second of the minute in the specified date or date/time
    `static java.lang.String` | `time()` The date:time function returns the current time.
    `static java.lang.String` | `time(java.lang.String dateTime)` The date:time function returns the time specified in the date/time string given as the argument.
    `static double` | `weekInMonth()` Return the ISO week number of the current date within the month
    `static double` | `weekInMonth(java.lang.String dateTime)` Return the week number of a specified date within the month (Note, this function is underspecified in EXSLT)
    `static double` | `weekInYear()` Return the ISO week number of the current date within the year (Note, this returns the ISO week number: the result in EXSLT is underspecified)
    `static double` | `weekInYear(java.lang.String dateTime)` Return the ISO week number of a specified date within the year (Note, this returns the ISO week number: the result in EXSLT is underspecified)
    `static double` | `year()` The date:year function returns the current year.
    `static double` | `year(java.lang.String dateTime)` The date:year function returns the year specified in the date/time string given as the argument.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### dateTime

          public static java.lang.String dateTime()

      The date:date-time function returns the current date and time as a date/time string. The date/time string that's returned must be a string in the format defined as the lexical representation of xs:dateTime in [3.2.7 dateTime] of [XML Schema Part 2: Datatypes]. The date/time format is basically CCYY-MM-DDThh:mm:ssTZ. The date/time string format must include a time zone, either a Z to indicate Coordinated Universal Time or a + or - followed by the difference between the difference from UTC represented as hh:mm.

    - #### date

          public static java.lang.String date(java.lang.String dateTime)

      The date:date function returns the date specified in the date/time string given as the argument.
      Parameters:
        `dateTime` - must start with [+|-]CCYY-MM-DD

    - #### date

          public static java.lang.String date()

      The date:date function returns the current date.

    - #### time

          public static java.lang.String time(java.lang.String dateTime)

      The date:time function returns the time specified in the date/time string given as the argument.
      Parameters:
        `dateTime` - must start with [+|-]CCYY-MM-DDThh:mm:ss

    - #### time

          public static java.lang.String time()

      The date:time function returns the current time.

    - #### year

          public static double year(java.lang.String dateTime)

      The date:year function returns the year specified in the date/time string given as the argument.
      Parameters:
        `dateTime` - must begin with CCYY

    - #### year

          public static double year()

      The date:year function returns the current year.

    - #### leapYear

          public static boolean leapYear(java.lang.String dateTime)

      Return true if the year specified in the date/time string given as the argument is a leap year.

    - #### leapYear

          public static boolean leapYear()

      Returns true if the current year is a leap year

    - #### monthInYear

          public static double monthInYear(java.lang.String dateTime)

      Return the month number from a date. The date must start with either "CCYY-MM" or "--MM"

    - #### monthInYear

          public static double monthInYear()

      Return the month number from the current date.

    - #### monthName

          public static java.lang.String monthName(java.lang.String date)

      Return the month name from a date. The date must start with either "CCYY-MM" or "--MM"
      Returns:
        the English month name, e.g. "January", "February"

    - #### monthName

          public static java.lang.String monthName()

      Return the month name from the current date.
      Returns:
        the English month name, e.g. "January", "February"

    - #### monthAbbreviation

          public static java.lang.String monthAbbreviation(java.lang.String date)

      Return the month abbreviation from a date. The date must start with either "CCYY-MM" or "--MM"
      Returns:
        the English month abbreviation, e.g. "Jan", "Feb"

    - #### monthAbbreviation

          public static java.lang.String monthAbbreviation()

      Return the month abbreviation from the current date.
      Returns:
        the English month abbreviation, e.g. "Jan", "Feb"

    - #### weekInYear

          public static double weekInYear(java.lang.String dateTime)

      Return the ISO week number of a specified date within the year (Note, this returns the ISO week number: the result in EXSLT is underspecified)

    - #### weekInYear

          public static double weekInYear()

      Return the ISO week number of the current date within the year (Note, this returns the ISO week number: the result in EXSLT is underspecified)

    - #### weekInMonth

          public static double weekInMonth(java.lang.String dateTime)

      Return the week number of a specified date within the month (Note, this function is underspecified in EXSLT)

    - #### weekInMonth

          public static double weekInMonth()

      Return the ISO week number of the current date within the month

    - #### dayInYear

          public static double dayInYear(java.lang.String dateTime)

      Return the day number of a specified date within the year

    - #### dayInYear

          public static double dayInYear()

      Return the day number of the current date within the year

    - #### dayInMonth

          public static double dayInMonth(java.lang.String dateTime)

      Return the day number of a specified date within the month
      Parameters:
        `dateTime` - must start with CCYY-MM-DD, or --MM-DD, or ---DD

    - #### dayInMonth

          public static double dayInMonth()

      Return the day number of the current date within the month

    - #### dayOfWeekInMonth

          public static double dayOfWeekInMonth(java.lang.String dateTime)

      Return the day-of-the-week in a month of a date as a number (e.g. 3 for the 3rd Tuesday in May).
      Parameters:
        `dateTime` - must start with CCYY-MM-DD

    - #### dayOfWeekInMonth

          public static double dayOfWeekInMonth()

      Return the day-of-the-week in a month of the current date as a number (e.g. 3 for the 3rd Tuesday in May).

    - #### dayInWeek

          public static double dayInWeek(java.lang.String dateTime)

      Return the day of the week given in a date as a number. The numbering of days of the week starts at 1 for Sunday, 2 for Monday and so on up to 7 for Saturday.
      Parameters:
        `dateTime` - must start with CCYY-MM-DD

    - #### dayInWeek

          public static double dayInWeek()

      Return the day of the week in the current date as a number. The numbering of days of the week starts at 1 for Sunday, 2 for Monday and so on up to 7 for Saturday.

    - #### dayName

          public static java.lang.String dayName(java.lang.String dateTime)

      Return the day of the week given in a date as an English day name: one of 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday' or 'Friday'.
      Parameters:
        `dateTime` - must start with CCYY-MM-DD

    - #### dayName

          public static java.lang.String dayName()

      Return the day of the week given in the current date as an English day name: one of 'Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday' or 'Friday'.

    - #### dayAbbreviation

          public static java.lang.String dayAbbreviation(java.lang.String dateTime)

      Return the day of the week given in a date as an English day abbreviation: one of 'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', or 'Sat'.
      Parameters:
        `dateTime` - must start with CCYY-MM-DD

    - #### dayAbbreviation

          public static java.lang.String dayAbbreviation()

      Return the day of the week given in the current date as an English day abbreviation: one of 'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', or 'Sat'.

    - #### hourInDay

          public static double hourInDay(java.lang.String dateTime)

      Return the hour of the day in the specified date or date/time
      Parameters:
        `dateTime` - must start with CCYY-MM-DDThh:mm:ss or hh:mm:ss

    - #### hourInDay

          public static double hourInDay()

      Return the current hour of the day

    - #### minuteInHour

          public static double minuteInHour(java.lang.String dateTime)

      Return the minute of the hour in the specified date or date/time
      Parameters:
        `dateTime` - must start with CCYY-MM-DDThh:mm:ss or hh:mm:ss

    - #### minuteInHour

          public static double minuteInHour()

      Return the current minute of the hour

    - #### secondInMinute

          public static double secondInMinute(java.lang.String dateTime)

      Return the second of the minute in the specified date or date/time
      Parameters:
        `dateTime` - must start with CCYY-MM-DDThh:mm:ss or hh:mm:ss

    - #### secondInMinute

          public static double secondInMinute()

      Return the current second of the minute